Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoUniformSurfaceMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a surface array.

Note
  Supported with G2, G3

Inheritance diagram for GoUniformSurfaceMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k32u | GoUniformSurfaceMsg_Exposure (GoUniformSurfaceMsg msg)
| Gets the exposure. More...
kSize | GoUniformSurfaceMsg_Length (GoUniformSurfaceMsg msg)
| Gets the length of the surface (row count). More...
k16s * | GoUniformSurfaceMsg_RowAt (GoUniformSurfaceMsg msg, kSize index)
| Gets a pointer to a surface row. More...
GoDataSource | GoUniformSurfaceMsg_Source (GoUniformSurfaceMsg msg)
| Gets the profile source. More...
kSize | GoUniformSurfaceMsg_Width (GoUniformSurfaceMsg msg)
| Gets the width of the surface (column count). More...
k32s | GoUniformSurfaceMsg_XOffset (GoUniformSurfaceMsg msg)
| Gets the surface x-offset, in micrometers. More...
k32u | GoUniformSurfaceMsg_XResolution (GoUniformSurfaceMsg msg)
| Gets the surface x-resolution, in nanometers. More...
k32s | GoUniformSurfaceMsg_YOffset (GoUniformSurfaceMsg msg)
| Gets the surface y-offset, in micrometers. More...
k32u | GoUniformSurfaceMsg_YResolution (GoUniformSurfaceMsg msg)
| Gets the surface y-resolution, in nanometers. More...
k32s | GoUniformSurfaceMsg_ZOffset (GoUniformSurfaceMsg msg)
| Gets the surface z-offset, in micrometers. More...
k32u | GoUniformSurfaceMsg_ZResolution (GoUniformSurfaceMsg msg)
| Gets the surface z-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h